> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vued.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List API keys



## OpenAPI

````yaml /openapi/vued-public-api.yaml get /orgs/{org_id}/api-keys
openapi: 3.1.0
info:
  title: Vued Public API
  version: 0.1.0
  description: >-
    Cloud API for Vued organization metadata, signed audio URLs, API keys, and
    webhooks.
servers:
  - url: https://vued-office-api-dev.onrender.com/v1
security:
  - bearerAuth: []
tags:
  - name: Orgs
  - name: Search
  - name: Audio
  - name: Files
  - name: Directory
  - name: API Keys
  - name: Webhooks
paths:
  /orgs/{org_id}/api-keys:
    get:
      tags:
        - API Keys
      summary: List API keys
      operationId: listApiKeys
      parameters:
        - $ref: '#/components/parameters/OrgId'
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/Cursor'
      responses:
        '200':
          description: API key page.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiKeyPage'
components:
  parameters:
    OrgId:
      name: org_id
      in: path
      required: true
      schema:
        type: string
        format: uuid
    Limit:
      name: limit
      in: query
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 50
    Cursor:
      name: cursor
      in: query
      schema:
        type: string
  schemas:
    PublicApiKeyPage:
      allOf:
        - $ref: '#/components/schemas/Page'
        - type: object
          properties:
            items:
              type: array
              items:
                $ref: '#/components/schemas/PublicApiKey'
    Page:
      type: object
      required:
        - items
      properties:
        items:
          type: array
          items: {}
        next_cursor:
          type:
            - string
            - 'null'
    PublicApiKey:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        keyPrefix:
          type: string
        scopes:
          type: array
          items:
            type: string
        createdAt:
          type: number
        lastUsedAt:
          type:
            - number
            - 'null'
        expiresAt:
          type:
            - number
            - 'null'
        revokedAt:
          type:
            - number
            - 'null'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````